Bug 253542 - www/bozohttpd: update to 20201014 and add config options
Summary: www/bozohttpd: update to 20201014 and add config options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: http://www.eterna.com.au/bozohttpd/CH...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-15 19:33 UTC by Henrik Gulbrandsen
Modified: 2021-02-18 07:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jmohacsi)


Attachments
Patch on submitter's behalf (12.27 KB, patch)
2021-02-16 08:33 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Gulbrandsen 2021-02-15 19:33:01 UTC
For an experiment last year, I found myself looking for a simple web server with support for HTTPS, CGI, and not much else. Unfortunately, all FreeBSD ports that fulfilled those requirements were hopelessly obsolete. I think at least one of those smaller web servers should be up to date, so I've updated the port for bozohttpd. As the default web server on NetBSD, it would be a reasonable choice.

Bugzilla won't let me add an attachment, so I put the patch here instead:

    https://www.gulbra.net/misc/bozohttpd-20201014.patch
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-16 08:33:17 UTC
Created attachment 222483 [details]
Patch on submitter's behalf
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-16 08:34:42 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A:  Makefile: [65]: use ${VARIABLE}, instead of $(VARIABLE).

Q/A: quite a few variables could be reordered too.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 3 Janos Mohacsi 2021-02-16 16:15:42 UTC
Comment on attachment 222483 [details]
Patch on submitter's behalf

thanks for the patch an update
Comment 4 Henrik Gulbrandsen 2021-02-16 18:26:29 UTC
(In reply to Fernando Apesteguía from comment #2)

Oops... looks like I forgot to add the -AC flags to portlint.

I've included the changelog, but there have been at least 16 releases since the previous version, so it will be hard to condense it into a simple summary.

About reordering of variables: the LUA block should be moved above SSL, but otherwise everything I added seems to be in alphabetic order, except for having DESC at the beginning of each block. Is there even a standard for order once portlint stops complaining?
Comment 5 Fernando Apesteguía freebsd_committer 2021-02-17 12:33:26 UTC
Hmmm... does this build for you?

--- lua-bozo.o ---
cc  -O2 -pipe  -DDO_HTPASSWD -I/usr/local/include/lua52 -I/usr/include -fstack-protector-strong -fno-strict-aliasing    -MD  -MF.depend.lua-bozo.o -MTlua-bozo.o -std=gnu99 -fstack-protector-strong -Wsystem-headers -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wstri
ct-prototypes -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wcast-qual -Wwrite-strings -Wswitch -Wshadow -Wunused-parameter -Wcast-align -Wno-uninitialized -Wno-pointer-sign -Wno-empty-body -Wno-string-plus-int -Wno-unused-const-variable  -Qunused-arguments  -c lua-boz
o.c -o lua-bozo.o
--- main.o ---
cc  -O2 -pipe  -DDO_HTPASSWD -I/usr/local/include/lua52 -I/usr/include -fstack-protector-strong -fno-strict-aliasing    -MD  -MF.depend.main.o -MTmain.o -std=gnu99 -fstack-protector-strong -Wsystem-headers -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wstrict-proto
types -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wcast-qual -Wwrite-strings -Wswitch -Wshadow -Wunused-parameter -Wcast-align -Wno-uninitialized -Wno-pointer-sign -Wno-empty-body -Wno-string-plus-int -Wno-unused-const-variable  -Qunused-arguments  -c main.c -o main.
o
--- bozohttpd.8.gz ---
gzip -cn bozohttpd.8 > bozohttpd.8.gz
--- content-bozo.o ---
In file included from content-bozo.c:40:
./bozohttpd.h:48:10: fatal error: 'blocklist.h' file not found
#include <blocklist.h>
         ^~~~~~~~~~~~~
--- ssl-bozo.o ---
In file included from ssl-bozo.c:41:
./bozohttpd.h:48:10: fatal error: 'blocklist.h' file not found
#include <blocklist.h>
         ^~~~~~~~~~~~~
--- lua-bozo.o ---
In file included from lua-bozo.c:44:
./bozohttpd.h:48:10: fatal error: 'blocklist.h' file not found
#include <blocklist.h>
Comment 6 Henrik Gulbrandsen 2021-02-17 19:54:39 UTC
(In reply to Fernando Apesteguía from comment #5)

Sorry. I need a checklist to remind me that "svn diff" doesn't work well when you have new unadded files. This new patch was generated with plain old "diff", and it seems to work on a fully reverted repo directory, so it should be better:

    https://www.gulbra.net/misc/www_bozohttpd-20201014.patch
Comment 7 commit-hook freebsd_committer 2021-02-18 07:29:04 UTC
A commit references this bug:

Author: fernape
Date: Thu Feb 18 07:28:54 UTC 2021
New revision: 565909
URL: https://svnweb.freebsd.org/changeset/ports/565909

Log:
  www/bozohttpd: update to 20201014

  Add config options.

  ChangeLog: http://www.eterna.com.au/bozohttpd/CHANGES

  PR:	253542
  Submitted by:	henrik@gulbra.net
  Reviewed by:	jmohacsi@bsd.hu (maintainer)

Changes:
  head/www/bozohttpd/Makefile
  head/www/bozohttpd/distinfo
  head/www/bozohttpd/files/bozohttpd.in
  head/www/bozohttpd/files/patch-Makefile
  head/www/bozohttpd/files/patch-auth-bozo.c
  head/www/bozohttpd/files/patch-bozohttpd.8
  head/www/bozohttpd/files/patch-bozohttpd.c
  head/www/bozohttpd/files/patch-bozohttpd.h
  head/www/bozohttpd/pkg-descr
Comment 8 Fernando Apesteguía freebsd_committer 2021-02-18 07:31:05 UTC
Committed,

Thanks!

P.S: About the checklist
 * When adding/removing files, do svn add/rm immediately so you don't forget.
 * Use portlint -AC
 * Use portclippy
 * If at all possible, use poudriere with DEVELOPER=yes in /etc/make.conf

:-)